## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import gettext
import gtk
from clusterpkg.cluster_functions import OptionError

# first some defines
true = (1==1)
false = not true

def errorMessage(msg, parent_dlg=""):
    dlg = gtk.MessageDialog(None, 0, gtk.MESSAGE_ERROR,
                            gtk.BUTTONS_OK,msg)
    dlg.set_position(gtk.WIN_POS_MOUSE)
    if parent_dlg != "":
        dlg.set_transient_for(parent_dlg)
    dlg.run()
    dlg.hide()

def warningMessage(msg, parent_dlg=""):
    dlg = gtk.MessageDialog(None, 0, gtk.MESSAGE_WARNING,
                            gtk.BUTTONS_OK_CANCEL, msg)
    dlg.set_position(gtk.WIN_POS_MOUSE)
    if parent_dlg != "":
        dlg.set_transient_for(parent_dlg)
    rc = dlg.run()
    dlg.hide()
    return rc
